## datalad 0.12.2

=== debian/changelog ===
datalad (0.12.2-2) unstable; urgency=medium

  * Just for source only upload

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Feb 2020 23:55:56 -0800

datalad (0.12.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.
  
  [ Yaroslav Halchenko ]
  * New upstream release
  * Unbump debhelper to 11 for backporting
  * debian/control
    - Recommend datalad-container not datalad-containers
    - Boost python3-git dependency to 2.1.12
    - *Depend on p7zip-full which is used for archives handling

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Jan 2020 09:46:50 -0500

datalad (0.12.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/patches/deb_no_utf8 updated to not test unicode when python < 3.7
    (see https://github.com/datalad/datalad/issues/4016)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 15 Jan 2020 21:32:28 -0500

datalad (0.12.0-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream major release.
  * debian/control
    - add python3-distro to build-depends (Closes: #948533)
    - add python3-gitlab to Recommends.
    - boost minimal git-annex version to 7.20190503

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 11 Jan 2020 09:17:58 -0500

datalad (0.11.8-1) unstable; urgency=medium

  * Fresh upstream release (from tomorrow)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Oct 2019 21:32:17 -0400

datalad (0.11.7-1) unstable; urgency=medium

  * Fresh upstream release
  * Use team@datalad.org not @neuro.debian.net address for Maintainers
  * debian/patches/python3.patch
    - removed changes to *procedures* - handled upstream more flexibly
  * debian/patches/deb_no_utf8
    - do not use unicode in OBSCURE_FILENAME due to a bug in git-annex

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Sep 2019 09:18:59 +0200

datalad (0.11.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support and switch to python 3; patches by Steve Langasek;
    Closes: #935015

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Aug 2019 17:58:36 -0400

=== debian/control ===
Source: datalad
Maintainer: NeuroDebian Team <team@datalad.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
               help2man,
               patool,
               p7zip-full,
               python3-all,
               python3-appdirs,
               python3-argcomplete,
               python3-boto,
               python3-dateutil,
               python3-distutils | libpython3-stdlib (<= 3.6.4~rc1-2),
               python3-distro,
               python3-exif,
               python3-fasteners,
               python3-iso8601,
               python3-jsmin,
               python3-git (>= 2.1.12~),
               python3-github,
               python3-html5lib,
               python3-httpretty,
               python3-humanize,
               python3-keyrings.alt | python3-keyring (<= 8),
               python3-keyring,
               python3-secretstorage,
               python3-nose (>= 1.3.7-2) | python3-libxmp,
               python3-mock,
               python3-msgpack,
               python3-mutagen,
               python3-nose,
               python3-pil,
               python3-pyperclip,
               python3-requests,
               python3-setuptools,
               python3-simplejson,
               python3-six,
               python3-tqdm,
               python3-vcr,
               python3-whoosh,
               python3-wrapt
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/datalad/datalad/
Vcs-Git: https://github.com/datalad/datalad.git -b debian
Homepage: https://datalad.org

Package: datalad
Architecture: all
Section: science
Depends: python3-datalad (= ${binary:Version}),
         python3-argcomplete,
         ${misc:Depends},
         ${python3:Depends}
Suggests: datalad-container,
          datalad-crawler,
          datalad-neuroimaging
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
 separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)
 .
 This package provides the command line tools.  Install without
 Recommends if you need only core functionality.

Package: python3-datalad
Architecture: all
Section: python
Depends: git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
         patool,
         p7zip-full,
         python3-appdirs,
         python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
         python3-fasteners,
         python3-git (>= 2.1.6~),
         python3-gitlab,
         python3-humanize,
         python3-iso8601,
         python3-keyrings.alt | python3-keyring (<=8),
         python3-secretstorage,
         python3-keyring,
         python3-mock,
         python3-msgpack,
         python3-pil,
         python3-requests,
         python3-simplejson,
         python3-six,
         python3-tqdm,
         python3-wrapt,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-exif,
            python3-github,
            python3-jsmin,
            python3-html5lib,
            python3-httpretty,
            python3-libxmp,
            python3-lzma,
            python3-mutagen,
            python3-nose,
            python3-pyperclip,
            python3-requests-ftp,
            python3-vcr,
            python3-whoosh
Suggests: python3-duecredit,
          python3-bs4,
          python3-numpy,
          datalad-containers,
          datalad-crawler,
          datalad-neuroimaging
Provides: ${python3:Provides}
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
 separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.

## datalad 0.12.4

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix
# Ideas borrowed from scikit-learn's and PyMVPA Makefiles  -- thanks!

PYTHON ?= python
NOSETESTS ?= $(PYTHON) -m nose

MODULE ?= datalad

all: clean test

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

bin:
	mkdir -p $@
	PYTHONPATH=bin:$(PYTHONPATH) $(PYTHON) setup.py develop --install-dir $@

test-code: bin
	PATH=bin:$(PATH) PYTHONPATH=bin:$(PYTHONPATH) $(NOSETESTS) -s -v $(MODULE)

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s -v --with-coverage $(MODULE)

test: test-code


trailing-spaces:
	find $(MODULE) -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

code-analysis:
	flake8 $(MODULE) | grep -v __init__ | grep -v external
	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101

linkissues-changelog:
	tools/link_issues_CHANGELOG

update-changelog: linkissues-changelog
	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst

release-pypi: update-changelog
	# better safe than sorry
	test ! -e dist
	$(PYTHON) setup.py sdist
	# the wheels we would produce are broken on windows, because they
	# install an incompatible entrypoint script
	# https://github.com/datalad/datalad/issues/4315
	#$(PYTHON) setup.py bdist_wheel
	twine upload dist/*

docs/source/basics_cmdline.rst.in: build/casts/cmdline_basic_usage.json
	tools/cast2rst $^ > $@

docs/source/basics_nesteddatasets.rst.in: build/casts/seamless_nested_repos.json
	tools/cast2rst $^ > $@

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema*.json source/build

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
datalad (0.12.4-2) unstable; urgency=medium

  * Add python3-distro to Depends of python3-datalad (needed for python>=3.8).

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Mar 2020 13:26:07 -0400

datalad (0.12.4-1) unstable; urgency=medium

  * Fresh upstream maintenance release
    - should fix lots of compatibility issues with bleeding edge git-annex (>=8)
      which broke some API and behavior(s) (Closes: #954728)
  * debian/patches
    + 0001-BF-match-hint-prefix-for-ignored-files-message-by-gi.patch
      to address changes in git 2.26.0.rc2 output messages

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Mar 2020 12:38:30 -0400

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
          p7zip-full,
          python3-appdirs,
          python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
+         python3-distro,
          python3-fasteners,
          python3-git (>= 2.1.6~),
          python3-gitlab,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local master branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9].*' $$(git merge-base -a HEAD master) | sed -e 's/-/+git/')

export DH_VERBOSE = 1
export PYBUILD_NAME = datalad
export PYBUILD_TEST_ARGS = -s -v
export DATALAD_TESTS_NONETWORK = 1
export http_proxy=
export https_proxy=

# We need to copy .egg-info so entry points are discovered. And also need
# to generate then per-Python version since some module requirements differ
export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/;cp -rp datalad.egg-info {build_dir}/;


# so tests do not segfault
export WRAPT_DISABLE_EXTENSIONS=1

%:
	dh $@ --with python3 --buildsystem=pybuild

clean::
	dh_clean
	-rm -rf bin build .pybuild datalad.egg-info
	-find . -name '*.pyc' -delete

override_dh_auto_configure:
	# cheap fake of an installed datalad, so we get .egg-info with entry points
	$(MAKE) bin
	# and leave the rest for dh_python* runs
	mkdir -p build; \
	    export HOME=$(CURDIR)/build;  \
        git config --global user.name "TESTING"; \
        git config --global user.email "TESTING@example.com"

override_dh_auto_test:
#	# Since pybuild overrides HOME for its own purposes, we will rely on our
#	# setup_package placing it back into HOME
	PATH=$(CURDIR)/bin:$$PATH \
	    dh_auto_test -- --test-nose


override_dh_auto_install:
	dh_auto_install
	mv debian/python3-datalad/usr/bin/* debian/datalad/usr/bin
	rm -f debian/python*-datalad/usr/bin/*
	# Building manpages. Overcoming #532 which creates some config file
	mkdir -p build/man
	HOME=$(CURDIR)/build python3 setup.py build_manpage
	# Generating argcomplete helper for bash_completion.d
	register-python-argcomplete3 datalad > debian/datalad/usr/share/bash-completion/completions/datalad

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?(\d[\d\.]+)\.tar\.gz/datalad-$1.tar.gz/" \
https://github.com/datalad/datalad/releases (?:.*/)?(\d[\d\.]+)\.tar\.gz

## datalad 0.12.6

=== debian/changelog ===
datalad (0.12.6-1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 23 Apr 2020 18:07:58 -0400

datalad (0.12.6-1) unstable; urgency=medium

  * Fresh upstream release:
    - should resolve possible issues with an upcoming release of git-annex
  * debian/patches
    - CPed 0001* was removed, deb_no_utf8 was updated

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Apr 2020 16:43:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: datalad
-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -52,7 +53,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: python3-datalad (= ${binary:Version}),
+Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
          python3-argcomplete,
          ${misc:Depends},
          ${python3:Depends}
@@ -81,7 +82,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+Depends: neurodebian-popularity-contest, git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
          patool,
          p7zip-full,
          python3-appdirs,

## datalad 0.13.2

=== debian/changelog ===
datalad (0.13.2-1) unstable; urgency=medium

  * New upstream release
    - since 0.12.x series, many tests instability issues were addressed.
      (Closes: #903213, #966948)
  * debian/rules
    - remove WRAPT_DISABLE_EXTENSIONS=1 workaround -- wrapt should no longer
      cause segfaults
  * debian/patches
    + 0001-BF-serve_path_via_http-HTTPPath-use-localhost-not-ha.patch
      a semi-blind patch to avoid hardcoding 127.0.0.1 and use localhost
      instead so to make it potentially work on IPv6 only setups.
      Please reopen if that does not fix it (Closes: #963856)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Aug 2020 09:37:20 -0400

datalad (0.13.1-1) neurodebian; urgency=medium

  * New upstream major release
    - dopped all debian/patches/00*

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Jul 2020 16:49:11 -0400

datalad (0.13.0-1) neurodebian; urgency=medium

  [ Michael Hanke ]
  * New upstream major release.
  * debian/control
    - add python3-annexremote as dependency.

  [ Yaroslav Halchenko ]
  * debian/patches
    + 0001-BF-TST-skip-one-case-of-test_ria_basics.test_binary_.patch
    + 0001-BF-annotate-tests-in-test_utils_cached_dataset-with-.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Jul 2020 23:41:09 -0400

datalad (0.12.7-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 May 2020 13:26:38 -0400

datalad (0.12.6-2) unstable; urgency=medium

  * Remove python3-boto from Build-Depends: we cannot test much of interactions
    with s3 anyways since credentials would not be available.
    This should prevent removal of datalad packages wherenever boto package
    is scheduled for removal.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Apr 2020 12:21:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: datalad
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -12,9 +11,9 @@
                patool,
                p7zip-full,
                python3-all,
+               python3-annexremote,
                python3-appdirs,
                python3-argcomplete,
-               python3-boto,
                python3-dateutil,
                python3-distutils | libpython3-stdlib (<= 3.6.4~rc1-2),
                python3-distro,
@@ -53,7 +52,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
+Depends: python3-datalad (= ${binary:Version}),
          python3-argcomplete,
          ${misc:Depends},
          ${python3:Depends}
@@ -82,10 +81,11 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: neurodebian-popularity-contest, git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+Depends: git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
          patool,
          p7zip-full,
          python3-appdirs,
+         python3-annexremote,
          python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
          python3-distro,
          python3-fasteners,
@@ -99,14 +99,15 @@
          python3-mock,
          python3-msgpack,
          python3-pil,
-         python3-requests,
+         python3-requests (>=1.2),
          python3-simplejson,
          python3-six,
          python3-tqdm,
          python3-wrapt,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-exif,
+Recommends: python3-boto,
+            python3-exif,
             python3-github,
             python3-jsmin,
             python3-html5lib,

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,6 @@
 # to generate then per-Python version since some module requirements differ
 export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/;cp -rp datalad.egg-info {build_dir}/;
 
-
-# so tests do not segfault
-export WRAPT_DISABLE_EXTENSIONS=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## datalad 0.13.6

=== debian/changelog ===
datalad (0.13.6-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release
  * d/patches
    - slightly refreshed to account for some portions included upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Dec 2020 22:37:27 -0500

datalad (0.13.5-2) neurodebian; urgency=medium

  * debian/patches/deb_no_utf8
    - more skips and de-utf8-ing to please nd90 with elderly python 3.5
  * debian/control
    - add Build-Conflicts on git-annex 8.20200226-1 (present on nd20.04) 
      since it has a buggy initremote which causes a wide range of tests to fail

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Nov 2020 18:31:59 -0500

datalad (0.13.5-1) unstable; urgency=medium

  [ Michael Hanke ]
  * New upstream release (skipped 0.13.4)

  [ Yaroslav Halchenko ]
  * Skip test_basics as a quick workaround fro
  https://github.com/datalad/datalad/issues/4753

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Nov 2020 22:32:49 -0500

datalad (0.13.3-1) unstable; urgency=medium

  * debian/control
    - remove mentioning of Recommends for 'datalad' package which no longer
      has any Recommends (Closes: #969034)
    - remove python3-git from *Depends - no longer used

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2020 09:23:57 -0400

## datalad 0.13.7

=== debian/changelog ===
datalad (0.13.7-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 13 Jan 2021 13:30:13 -0500

datalad (0.13.7-1) unstable; urgency=medium

  * Recent upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jan 2021 12:50:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: datalad
-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -21,7 +22,6 @@
                python3-fasteners,
                python3-iso8601,
                python3-jsmin,
-               python3-git (>= 2.1.12~),
                python3-github,
                python3-html5lib,
                python3-httpretty,
@@ -44,6 +44,7 @@
                python3-vcr,
                python3-whoosh,
                python3-wrapt
+Build-Conflicts: git-annex (= 8.20200226-1)
 Standards-Version: 4.4.1
 Vcs-Browser: https://github.com/datalad/datalad/
 Vcs-Git: https://github.com/datalad/datalad.git -b debian
@@ -52,7 +53,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: python3-datalad (= ${binary:Version}),
+Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
          python3-argcomplete,
          ${misc:Depends},
          ${python3:Depends}
@@ -74,14 +75,11 @@
   - crawl web sites to automatically prepare and update git-annex
     repositories with content from online websites, S3, etc (install
     datalad-crawler)
- .
- This package provides the command line tools.  Install without
- Recommends if you need only core functionality.
 
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+Depends: neurodebian-popularity-contest, git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
          patool,
          p7zip-full,
          python3-appdirs,
@@ -89,7 +87,6 @@
          python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
          python3-distro,
          python3-fasteners,
-         python3-git (>= 2.1.6~),
          python3-gitlab,
          python3-humanize,
          python3-iso8601,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 
 export DH_VERBOSE = 1
 export PYBUILD_NAME = datalad
-export PYBUILD_TEST_ARGS = -s -v
+# Excluding test_basics as a dirty workaround
+# for https://github.com/datalad/datalad/issues/4753
+export PYBUILD_TEST_ARGS = -s -v -e test_basics
 export DATALAD_TESTS_NONETWORK = 1
 export http_proxy=
 export https_proxy=

## datalad 0.14.0

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 
 bin:
 	mkdir -p $@
-	PYTHONPATH=bin:$(PYTHONPATH) $(PYTHON) setup.py develop --install-dir $@
+	PYTHONPATH="bin:$(PYTHONPATH)" $(PYTHON) setup.py develop --install-dir $@
 
 test-code: bin
-	PATH=bin:$(PATH) PYTHONPATH=bin:$(PYTHONPATH) $(NOSETESTS) -s -v $(MODULE)
+	PATH="bin:$(PATH)" PYTHONPATH="bin:$(PYTHONPATH)" $(NOSETESTS) -s -v $(MODULE)
 
 test-coverage:
 	rm -rf coverage .coverage
@@ -39,11 +39,13 @@
 	tools/link_issues_CHANGELOG
 
 update-changelog: linkissues-changelog
+	# test if the changelog still contains a release placeholder
+	git grep -q '^##.*??? ??' -- CHANGELOG.md && exit 1 || true
 	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
 	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst
 
 release-pypi: update-changelog
-	# better safe than sorry
+	# avoid upload of stale builds
 	test ! -e dist
 	$(PYTHON) setup.py sdist
 	# the wheels we would produce are broken on windows, because they

=== requirements.txt ===
# If you want to develop, use requirements-devel.txt

# Theoretically we don't want -e here but ATM pip would puke if just .[full] is provided
# TODO -- figure it out and/or complain to pip folks
# -e .[full]

# this one should work but would copy entire . tree  so should be ran on a clean copy
.[full]

# doesn't install datalad itself
# file://.#egg=datalad[full]

=== debian/changelog ===
datalad (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
  * d/control
    - announce breakage of older datalad-container

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Feb 2021 13:13:27 -0500

datalad (0.14.0~rc1+git10-g1b22107ac-1) experimental; urgency=medium

  * Fresh release candidate
  * d/control
    - need python >= 3.6 and fasteners >= 0.14

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Jan 2021 09:03:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: datalad
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -11,6 +10,7 @@
                help2man,
                patool,
                p7zip-full,
+               python3 (>= 3.6),
                python3-all,
                python3-annexremote,
                python3-appdirs,
@@ -19,7 +19,7 @@
                python3-distutils | libpython3-stdlib (<= 3.6.4~rc1-2),
                python3-distro,
                python3-exif,
-               python3-fasteners,
+               python3-fasteners (>= 0.14~),
                python3-iso8601,
                python3-jsmin,
                python3-github,
@@ -53,7 +53,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
+Depends: python3-datalad (= ${binary:Version}),
          python3-argcomplete,
          ${misc:Depends},
          ${python3:Depends}
@@ -79,14 +79,15 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: neurodebian-popularity-contest, git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+Depends: git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
          patool,
          p7zip-full,
+         python3 (>= 3.6),
          python3-appdirs,
          python3-annexremote,
          python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
          python3-distro,
-         python3-fasteners,
+         python3-fasteners (>= 0.14~),
          python3-gitlab,
          python3-humanize,
          python3-iso8601,
@@ -123,6 +124,7 @@
           datalad-containers,
           datalad-crawler,
           datalad-neuroimaging
+Breaks: datalad-container (<< 1.1.2)
 Provides: ${python3:Provides}
 Description: data files management and distribution platform
  DataLad is a data management and distribution platform providing

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 export PYBUILD_NAME = datalad
 # Excluding test_basics as a dirty workaround
 # for https://github.com/datalad/datalad/issues/4753
-export PYBUILD_TEST_ARGS = -s -v -e test_basics
+# for https://github.com/datalad/datalad/issues/5379
+# test_script_shims - ideally addressed properly after verifying that pybuild does install scripts without EASY
+export PYBUILD_TEST_ARGS = -s -v -e 'test_(basics|proxying_open_testrepobased|script_shims)'
 export DATALAD_TESTS_NONETWORK = 1
 export http_proxy=
 export https_proxy=

## datalad 0.14.7

=== debian/changelog ===
datalad (0.14.7-1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 15 Aug 2021 18:27:03 -0400

datalad (0.14.7-1) unstable; urgency=medium

  * Fresh upstream release. Upload to unstable celebrate bullseye release
  * d/control
    - add python3-gitlab to *Depends
  * d/patches
    - CPed 00* patches dropped

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Aug 2021 15:31:36 -0400

datalad (0.14.6-1) experimental; urgency=medium

  * Fresh upstream release
  * d/p
    - dropped CPed upstream patches
    - refreshed patches
    - added 0001-RF-TST-do-not-test-for-no-EASY-and-pkg_resources-in-.patch
      submitted upstream: https://github.com/datalad/datalad/pull/5817
    - added 0001-BF-import-importlib.metadata-not-importlib_metadata-.patch
      to avoid requiring importlib_metadata backport package
  * due to upstream switching to use versioneer, we should package
    based on released upstream releases on pypi, not based on merged
    release tags.  debian-upstream branch will track releases from pypi
  * d/rules
    - trying to be optimistic and removing skipping some selected tests
  * d/control
    - add python3-importlib-metadata (for python3 < 3.8) to *depends
      Note: that we do not have backports for it in neurodebian

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Jul 2021 18:49:35 -0400

datalad (0.14.3-1) experimental; urgency=medium

  * Fresh upstream release.
  * d/p
    - deb_no_utf8 is refreshed
    - deb_skip_if_no_github - added

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Apr 2021 08:49:51 -0400

datalad (0.14.2-1) UNRELEASED; urgency=medium

  * d/control
    - fix name in datalad-container suggest (not datalad-containers)
  * Recent upstream release
  * d/patches
    + 0001-BF-TST-use-sys.executable-and-not-hardcoded-python.patch
      https://github.com/datalad/datalad/pull/5612

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Apr 2021 09:04:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: datalad
-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -16,27 +17,29 @@
                python3-appdirs,
                python3-argcomplete,
                python3-dateutil,
+               python3-distro,
                python3-distutils | libpython3-stdlib (<= 3.6.4~rc1-2),
-               python3-distro,
                python3-exif,
                python3-fasteners (>= 0.14~),
-               python3-iso8601,
-               python3-jsmin,
                python3-github,
+               python3-gitlab,
                python3-html5lib,
                python3-httpretty,
                python3-humanize,
+               python3 (>= 3.8) | python3-importlib-metadata,
+               python3-iso8601,
+               python3-jsmin,
+               python3-keyring,
                python3-keyrings.alt | python3-keyring (<= 8),
-               python3-keyring,
-               python3-secretstorage,
-               python3-nose (>= 1.3.7-2) | python3-libxmp,
                python3-mock,
                python3-msgpack,
                python3-mutagen,
                python3-nose,
+               python3-nose (>= 1.3.7-2) | python3-libxmp,
                python3-pil,
                python3-pyperclip,
                python3-requests,
+               python3-secretstorage,
                python3-setuptools,
                python3-simplejson,
                python3-six,
@@ -53,13 +56,13 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: python3-datalad (= ${binary:Version}),
+Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
          python3-argcomplete,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: datalad-container,
           datalad-crawler,
-          datalad-neuroimaging
+          datalad-neuroimaging,
 Description: data files management and distribution platform
  DataLad is a data management and distribution platform providing
  access to a wide range of data resources already available online.
@@ -79,25 +82,26 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+Depends: neurodebian-popularity-contest, git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
          patool,
          p7zip-full,
          python3 (>= 3.6),
+         python3-annexremote,
          python3-appdirs,
-         python3-annexremote,
+         python3-distro,
          python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
-         python3-distro,
          python3-fasteners (>= 0.14~),
          python3-gitlab,
          python3-humanize,
+         python3 (>= 3.8) | python3-importlib-metadata,
          python3-iso8601,
+         python3-keyring,
          python3-keyrings.alt | python3-keyring (<=8),
-         python3-secretstorage,
-         python3-keyring,
          python3-mock,
          python3-msgpack,
          python3-pil,
          python3-requests (>=1.2),
+         python3-secretstorage,
          python3-simplejson,
          python3-six,
          python3-tqdm,
@@ -107,9 +111,10 @@
 Recommends: python3-boto,
             python3-exif,
             python3-github,
-            python3-jsmin,
+            python3-gitlab,
             python3-html5lib,
             python3-httpretty,
+            python3-jsmin,
             python3-libxmp,
             python3-lzma,
             python3-mutagen,
@@ -119,11 +124,11 @@
             python3-vcr,
             python3-whoosh
 Suggests: python3-duecredit,
+          datalad-container,
+          datalad-crawler,
+          datalad-neuroimaging,
           python3-bs4,
           python3-numpy,
-          datalad-containers,
-          datalad-crawler,
-          datalad-neuroimaging
 Breaks: datalad-container (<< 1.1.2)
 Provides: ${python3:Provides}
 Description: data files management and distribution platform

## datalad 0.15.5

=== Makefile ===
--- 
+++ 
@@ -38,11 +38,21 @@
 linkissues-changelog:
 	tools/link_issues_CHANGELOG
 
-update-changelog: linkissues-changelog
-	# test if the changelog still contains a release placeholder
-	git grep -q '^##.*??? ??' -- CHANGELOG.md && exit 1 || true
+update-changelog: CHANGELOG.md
 	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
-	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst
+	# sphinx 3.4.3-2 on Debian incorrectly handles unicode character
+	# and then fails claiming that underlines are too short. So we remove all
+	# such problematic ones for now.
+	# Also, for some reason auto sticks subsections all the way to 4th level of sectioning,
+	# so we bring them back to 2nd.
+	# And pandoc manages to just skip all the valid markdown urls for authors within (),
+	# so doing manual post conversion
+	cat "$<" | sed -e 's,^#### ,## ,g' \
+	| iconv -c -f utf-8 -t ascii \
+	| pandoc -t rst \
+	| sed -e 's,\[\(@[^]]*\)\](\([^)]*\)),\`\1 <\2>\`__,g' \
+	>> docs/source/changelog.rst
+
 
 release-pypi: update-changelog
 	# avoid upload of stale builds

=== debian/changelog ===
datalad (0.15.5-1) unstable; urgency=medium

  * Fresh upstream maintenance release
  * d/control
    - add python3-packaging to b-depends
  * d/patches
    - CPed 0001-BF-TST-add-another-condition-to-skip-under-http_prox.patch
      from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 09 Feb 2022 22:05:08 -0500

datalad (0.15.3-1) unstable; urgency=medium

  * Freshish upstream maintenance release
  * d/patches
    - refreshed for code movement
    - CPed from upstream patches dropped

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Nov 2021 12:02:58 -0500

datalad (0.15.0-2) unstable; urgency=medium

  * d/control
    - boost minimal version of git-annex to 8.20200309 (upstream requirement)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Sep 2021 09:20:23 -0400

datalad (0.15.0-1) unstable; urgency=medium

  * Fresh upstream release (skipped 0.14.8 from two days ago).
  * debian/patches - added 2 patches submitted upstream
    https://github.com/datalad/datalad/pull/5986

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Sep 2021 12:37:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: datalad
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-python,
-               git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+               git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
                help2man,
                patool,
                p7zip-full,
@@ -36,6 +35,7 @@
                python3-mutagen,
                python3-nose,
                python3-nose (>= 1.3.7-2) | python3-libxmp,
+               python3-packaging,
                python3-pil,
                python3-pyperclip,
                python3-requests,
@@ -56,7 +56,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
+Depends: python3-datalad (= ${binary:Version}),
          python3-argcomplete,
          ${misc:Depends},
          ${python3:Depends}
@@ -82,7 +82,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: neurodebian-popularity-contest, git-annex (>= 7.20190503~) | git-annex-standalone (>= 7.20190503~),
+Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.6),

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,5 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
-
-srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
-# this figures out the last merge point from 'master' into the Debian branch and
-# then described this commit relative to the last release tag (V...)
-# If this should make any sense the local master branch must track upstream's
-# master or whatever other source branch.
-gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9].*' $$(git merge-base -a HEAD master) | sed -e 's/-/+git/')
 
 export DH_VERBOSE = 1
 export PYBUILD_NAME = datalad
@@ -14,14 +7,14 @@
 # for https://github.com/datalad/datalad/issues/4753
 # for https://github.com/datalad/datalad/issues/5379
 # test_script_shims - ideally addressed properly after verifying that pybuild does install scripts without EASY
-export PYBUILD_TEST_ARGS = -s -v -e 'test_(basics|proxying_open_testrepobased|script_shims)'
+export PYBUILD_TEST_ARGS = -s -v
 export DATALAD_TESTS_NONETWORK = 1
 export http_proxy=
 export https_proxy=
 
 # We need to copy .egg-info so entry points are discovered. And also need
 # to generate then per-Python version since some module requirements differ
-export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/;cp -rp datalad.egg-info {build_dir}/;
+export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/ && cp -rp datalad.egg-info {build_dir}/;
 
 
 %:
@@ -60,9 +53,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
-
-# make orig tarball from repository content
-get-orig-source:
-	# orig tarball, turn directory into something nicer
-	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
-		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
